package controllers

import (
	"ai_developer_admin/libs/registry"
	"ai_developer_admin/models"
	"net/http"
)

type MonitorController struct {
	MainController
}

func (server *MonitorController) NodeManagers() {
	data, err := registry.NodeManagers()
	if err != nil {
		server.respond(models.BusinessFailed, err.Error())
		return
	}
	server.respond(http.StatusOK, "", data)
}

func (server *MonitorController) Gateways() {
	data, err := registry.Gateways()
	if err != nil {
		server.respond(models.BusinessFailed, err.Error())
		return
	}
	server.respond(http.StatusOK, "", data)
}

func (server *MonitorController) Workers() {
	data, err := registry.Workers()
	if err != nil {
		server.respond(models.BusinessFailed, err.Error())
		return
	}
	server.respond(http.StatusOK, "", data)
}

func (server *MonitorController) Schedules() {
	data, err := registry.Schedules()
	if err != nil {
		server.respond(models.BusinessFailed, err.Error())
		return
	}
	server.respond(http.StatusOK, "", data)
}
